Change an address
curl --request PATCH \
--url https://{organization}.rescueconsole.com/api/people/persons/{id}/addresses/{addressId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"is_primary": true
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({is_primary: true})
};
fetch('https://{organization}.rescueconsole.com/api/people/persons/{id}/addresses/{addressId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/people/persons/{id}/addresses/{addressId}"
payload = { "is_primary": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"person_id": "<string>",
"label": "<string>",
"address": {
"country": "<string>",
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"administrative_area": "<string>",
"postal_code": "<string>"
},
"is_primary": true,
"notes": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Person addresses
Change an address
Send only what changes. address is replaced whole, and cannot be emptied. To change which one is primary, send is_primary: true on the new one; is_primary: false on the primary one is refused. Needs write on People.
PATCH
/
api
/
people
/
persons
/
{id}
/
addresses
/
{addressId}
Change an address
curl --request PATCH \
--url https://{organization}.rescueconsole.com/api/people/persons/{id}/addresses/{addressId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"is_primary": true
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({is_primary: true})
};
fetch('https://{organization}.rescueconsole.com/api/people/persons/{id}/addresses/{addressId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/people/persons/{id}/addresses/{addressId}"
payload = { "is_primary": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"person_id": "<string>",
"label": "<string>",
"address": {
"country": "<string>",
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"administrative_area": "<string>",
"postal_code": "<string>"
},
"is_primary": true,
"notes": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Authorizations
An API key from Settings, API keys. It starts with rc_live_.
Body
application/json
Such as Home or Work. Cut to 60 characters.
Maximum string length:
60Every part is optional, and a key not listed here is refused. An empty or null part is removed.
Show child attributes
Show child attributes
Cut to 500 characters.
Maximum string length:
500true makes this the primary address.
Response
The address, as it now is.
Every part is optional, and a key not listed here is refused. An empty or null part is removed.
Show child attributes
Show child attributes